//+------------------------------------------------------------------+
//|                                                 FerstAdvisor.mq4 |
//|                                      Copyright  2008, BazilSoft |
//|                                                   vs-box@mail.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, C-4, AllRightReserved"
#property link      "vs-box@mail.ru"

#define MAGICMA 14569034
extern int MagicNumber=21671;
extern int TakeProfit=0;
extern int StopLoss=100;
extern bool DayOut=true;
extern int DayInTrade=2;
extern int TotalTransaction=1000;

int TradeDay=1,
    TotalModify,
    TotalPrice;

void CheckForOpen()
{
//--------------------------
   int to_flip_coin,
   	 ticket;
   double StopLevel,
   		 ProfitLavel;
//  
	if(Volume[0]>1) return;
	to_flip_coin=MathRand();
   if(MathMod(to_flip_coin,2)==1){
   	  if(TakeProfit<=0)
   	     ticket=OrderSend(Symbol(),OP_BUY,0.1,Ask,3,Bid-StopLoss*Point,0,"",MAGICMA,0,Blue);
   	  else
   	     ticket=OrderSend(Symbol(),OP_BUY,0.1,Ask,3,Bid-StopLoss*Point,Ask+TakeProfit*Point,"",MAGICMA,0,Blue);
   	if(ticket==-1)
   		Print("  ", GetLastError());
   	return;
   }
   else{
   	if(TakeProfit>0)
      	ticket=OrderSend(Symbol(),OP_SELL,0.1,Bid,3,Ask+StopLoss*Point,Bid-TakeProfit*Point,"",MAGICMA,0,Red);
   	else
   	  ticket=OrderSend(Symbol(),OP_SELL,0.1,Bid,3,Ask+StopLoss*Point,0,"",MAGICMA,0,Red);
   	if(ticket==-1)
   		Print("  ", GetLastError());
   	return;
   }
//--------------------------
}
void CheckForClose()
{
	int i;
	if(Volume[0]>1||DayOut==false) return;
	else
   {
		TradeDay+=1;
		if(TradeDay<DayInTrade)return;
		for(i=0;i<OrdersTotal();i++)
      {
			if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES)==false)        break;
      	if(OrderMagicNumber()!=MAGICMA || OrderSymbol()!=Symbol()) continue;
      	if(OrderType()==OP_BUY)
      	{
         	OrderClose(OrderTicket(),OrderLots(),Bid,3,White);
         	break;
      	}
      	if(OrderType()==OP_SELL)
      	{
     	    OrderClose(OrderTicket(),OrderLots(),Ask,3,White);
        	 break;
      	}
      }
	}
}

int start()
{
//---- check for history and trading
   //if(DayOut==false&&TakeProfit==0)
	//	return;
   if(Bars<100 || IsTradeAllowed()==false) return;
   if(OrdersHistoryTotal()>=TotalTransaction)return;
   if(OrdersTotal()==0)
      CheckForOpen();
   else
      CheckForClose();
}
  
int deinit()
{
	Print("    : ",OrdersHistoryTotal());
	Print("  : ", TotalModify);
}
//+------------------------------------------------------------------+

int init()
{
	MathSrand(MagicNumber);
}